/* ===============================
  Color Variables
=============================== */
:root {
  --bg-main: #faf5ea;
  --bg-header: #f6edd9;
  --bg-white: #ffffff;
  --bg-accent: #caa15c;
  --bg-accent-orenge: #ff9b4a;
  --bg-white-text: #f9f5ed;

  --text-accent: #b96934;
  --text-dark: #3a2400;

  --border-light: #d5c7a8;

  --header-height: 80px;
}

/* ===============================
  Reset
=============================== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  margin: 0;
  background: var(--bg-main);
  font-family: "Hiragino Sans", -apple-system, BlinkMacSystemFont, sans-serif;
  padding-top: var(--header-height);
  color: #333;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

/* ===============================
  Header
=============================== */
.header {
  background: var(--bg-header);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--header-height);
  z-index: 1000;
}

.header-inner {
  display: flex;
  align-items: center;
  justify-content: end;
  max-width: 1024px;
  margin: auto;
  height: 100%;
}

.top-area {
  position: absolute;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.logo img {
  height: 38px;
}

.pc-nav ul {
  display: flex;
  gap: 40px;
  list-style: none;
  margin: 0;
  padding: 24px 50px 24px 0;
}

.pc-nav a {
  position: relative;
  text-decoration: none;
  font-size: 20px;
  color: var(--text-dark);
  font-weight: 700;
  transition: color 0.3s ease;
}

.pc-nav a::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -25px;
  width: 0;
  height: 3px;
  background-color: #D69E1D;
  transform: translateX(-50%);
  transition: width 0.3s ease;
}

.pc-nav a:hover::after {
  width: 100%;
}
.pc-nav a:hover {
  color: #D69E1D;
}

.insta-area {
  display: flex;
  align-items: center;
  gap: 18px;
  height: 100%;
}

.divider {
  display: block;
  width: 2px;
  height: 40px;
  background: var(--text-dark);
}

.insta-icon img {
  width: 44px;
  height: 44px;
}

.hamburger {
  display: none;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  height: 38px;
  background: #e8dcc6;
  border-radius: 6px;
  border: none;
  cursor: pointer;
}

.hamburger span {
  display: block;
  width: 30px;
  height: 4px;
  background: var(--text-dark);
  border-radius: 20px;
}

.mobile-nav {
  display: none;
  background: var(--bg-header);
  padding: 15px 25px;
}

.mobile-nav ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.mobile-nav li {
  padding: 16px 0;
  border-bottom: 1px solid var(--border-light);
}

.mobile-nav a {
  text-decoration: none;
  color: var(--text-dark);
  font-size: 20px;
}

.mobile-nav.open {
  display: block;
}

/* ===============================
  内容セクション
=============================== */
.main-section {
  margin: 1rem 20px 0;
}

/* ===============================
  Title
=============================== */
.title-section {
  text-align: center;
  margin-bottom: 2rem;
}

.title-section h1 {
  font-size: 28px;
}

.underline {
  width: 80px;
  height: 3px;
  background: var(--bg-accent);
  margin: 10px auto 0;
}

.title-section-subtitle {
  font-size: 18px;
  margin-top: 8px;
  color: #666;
}

/* ===============================
  Footer
=============================== */
footer {
  text-align: center;
  padding: 40px 0;
  background: #fff;
  margin-top: 50px;
  position: sticky;
  top: 100vh;
}

/* ===============================
  Responsive
=============================== */
@media (max-width: 900px) {
  .pc-nav {
    display: none;
  }
  .hamburger {
    display: flex;
    margin: 0 20px;
  }
}